; $Id: fdavelaunchasc.pro,v 1.5 2005/02/08 18:24:44 azuah Exp $
;###############################################################################
; LICENSE:
;  The software in this file is written by an employee of 
;  National Institute of Standards and Technology 
;  as part of the DAVE software project.
;
;  The DAVE software package is not subject to copyright protection
;  and is in the public domain. It should be considered as an
;  experimental neutron scattering data reduction, visualization, and
;  analysis system. As such, the authors assume no responsibility
;  whatsoever for its use, and make no guarantees, expressed or
;  implied, about its quality, reliability, or any other
;  characteristic. The use of certain trade names or commercial
;  products does not imply any endorsement of a particular product,
;  nor does it imply that the named product is necessarily the best
;  product for the stated purpose. We would appreciate acknowledgment
;  if the DAVE software is used or if the code in this file is
;  included in another product.
;
;###############################################################################
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
pro fdaveLaunchASC,event
widget_control,event.top,get_uvalue = pState,/no_copy
thisEvent = tag_names(event,/structure_name)
case thisEvent of
'WIDGET_TREE_SEL':$
  begin
      widget_control,event.top,set_uvalue = pState,/no_copy
      daveDeSensitizeButtons,event
      widget_control,event.top,get_uvalue = pState,/no_copy
      inPtr = ptr_new(*pState)
      asc,[event.id,event.top],inPtr,group_leader = event.top
  end
'WIDGET_BUTTON':$
  begin
      widget_control,event.top,set_uvalue = pState,/no_copy
      daveDeSensitizeButtons,event
      widget_control,event.top,get_uvalue = pState,/no_copy
      inPtr = ptr_new(*pState)
      asc,[event.id,event.top],inPtr,group_leader = event.top
  end

'ASCEVENT': $
  begin
  *pState = *event.inPtr
  ptr_free,event.inPtr
  widget_control,event.top,set_uvalue = pState,/no_copy
  daveSensitizeButtons,event
  widget_control,event.top,get_uvalue = pState,/no_copy
  end
else:
endcase
widget_control,event.top,set_uvalue = pState,/no_copy
return
end
